import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    width: parent.width
    height: childrenRect.height

    property bool borderTopVisible: true
    property string dateRelative: ""
    property string dateString: ""
    property string borderColor: "#D6D6D6"
    property int borderHeight: units.gu(0.1)

    Component.onCompleted: {        
        renderText()
    }

    function renderText() {
        var dateText = ""
        if(dateRelative !== "") {
            dateText += dateRelative+", ";
        }
        dateText += dateString
        dayText.text = dateText
    }

    Rectangle {
        id: topBorder
        visible: borderTopVisible
        width:parent.width
        height: borderHeight
        color: borderColor
    }

    Item {
        id: dayLabel
        width:parent.width-units.gu(3)
        height: units.gu(4)
        anchors.top: topBorder.bottom
        anchors.horizontalCenter: parent.horizontalCenter

        Label {
            id: dayText
            objectName: "DayDateLabel"
            height: parent.height
            verticalAlignment: Text.AlignVCenter
        }
    }

    Rectangle {
        width:parent.width
        height: borderHeight
        anchors.top: dayLabel.bottom
        color: borderColor
    }
}
