import QtQuick 2.0
import Ubuntu.Components 0.1
import "./" as Components
import "OpenWeatherMap.js" as Weather

Rectangle {
    id: dayWeatherComponent
    width: parent.width-units.gu(2)
    anchors.horizontalCenter: parent.horizontalCenter
    height:contentShape.height+units.gu(2)

    property int condition
    property string icon
    property int temperature
    property int temperatureMin
    property string scale: (mainView.settings["units"] === "imperial") ? "F" : "C"
    property string shapeColor: "#D6D6D6"

     UbuntuShape{
        id: contentShape
        radius: "small"
        width: parent.width
        color: shapeColor
        anchors.centerIn: parent
        height: childrenRect.height
        Row {
            width:parent.width
            Components.WeatherConditionIconComponent {
                id: currentIcon
                height: units.gu(10)
                width:units.gu(10)
                condition: dayWeatherComponent.icon
            }
            Label {
                id: currentTemp
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                width:parent.width/9*3
                height:parent.height
                text: dayWeatherComponent.temperature+"°"+dayWeatherComponent.scale
            }
            Label {
                id: minTemp
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                width:parent.width/9*3
                height: parent.height
                text: i18n.tr("Min.")+"\n"+dayWeatherComponent.temperatureMin+"°"+dayWeatherComponent.scale
            }
        }
    }
}

